# mongoc_client_pool_set_ssl_opts()

## Synopsis

    #ifdef MONGOC_ENABLE_SSL
    void
    mongoc_client_pool_set_ssl_opts (mongoc_client_pool_t   *pool,
                                     const mongoc_ssl_opt_t *opts);
    #endif

This function is identical to mongoc_client_set_ssl_opts() except for client pools. It ensures that all clients retrieved from mongoc_client_pool_pop() or mongoc_client_pool_try_pop() are configured with the same SSL settings.

It is a programming error to call this function after retrieving a client from the client pool.

Beginning in version 1.2.0, once a pool has any SSL options set, all connections use SSL, even if "ssl=true" is omitted from the MongoDB URI. Before, SSL options were ignored unless "ssl=true" was included in the URI.

## Parameters

pool | A mongoc_client_pool_t.
opts | A mongoc_ssl_opt_t that will not be modified.

## Availability

This feature requires that the MongoDB C driver was compiled with --enable-ssl.